#--------------------------------------------------------------------------------------------------------------------------
# Listening Server to read values from Growatt inverter via wifi-X (TCP Modbus receiver)
#
# This module contin some simple log functions
#
# License:
# Feel free to use this code in your private or business environment or as example for your own code.
# Redistribution is only allowed with no changes.
# For any other kind of usage, please ask me.
# Ralf Amandi, Avarix GmbH
#
# 14.05.2021 Version 1.1
#--------------------------------------------------------------------------------------------------------------------------
from datetime import datetime

logFile = ""
logLevel = 0


def SetConfig(config):
	global logFile, logLevel
	logFile = config["GENERAL"]["logFile"]
	logLevel = int(config["GENERAL"]["LogLevel"])

##-- Tools for writing to a file
def appendFile(file,txt):
	f=open (file,"a")
	f.write(txt)
	f.close()

def writeBinFile(file,data):
	f=open (file,"wb")
	f.write(data)
	f.close()

def logMessage(lv,msg):	
	global logLevel
	msg=datetime.now().isoformat(sep=' ', timespec='seconds')+" "+msg
	print (msg)
	if (logLevel>=lv): appendFile(logFile,msg+"\n")

